@use '/node_modules/@angular/material' as mat;
@include mat.core();

@import '~codemirror/lib/codemirror';
@import '~codemirror/theme/idea.css';
@import '~codemirror/theme/material.css';

body {
  --taskbar-left: 15%;
}

$icon-size: 100px;
$icon-font-size: 12px;

$primary-palette: mat.define-palette((
  50: #e4f4ff,
  100: #bfe2ff,
  200: #95d1ff,
  300: #69beff,
  400: #49aeff,
  500: #34a0ff,
  600: #3891ff,
  700: #387df5,
  800: #386be2,
  900: #364ac3,

  contrast: (
    50: #f4f4f4,
    100: #f4f4f4,
    200: #f4f4f4,
    300: #f4f4f4,
    400: #f4f4f4,
    500: #f4f4f4,
    600: #f4f4f4,
    700: #f4f4f4,
    800: #f4f4f4,
    900: #f4f4f4,
  )
), 700, 300, 900, 50);

$accent-palette: mat.define-palette((
  50: #e6faea,
  100: #c3f3cb,
  200: #9aeba9,
  300: #68e383,
  400: #32db65,
  500: #00d344,
  600: #00c23a,
  700: #00af2c,
  800: #009d1d,
  900: #007d03,

  contrast: (
    50: #f4f4f4,
    100: #f4f4f4,
    200: #f4f4f4,
    300: #f4f4f4,
    400: #f4f4f4,
    500: #f4f4f4,
    600: #f4f4f4,
    700: #f4f4f4,
    800: #f4f4f4,
    900: #f4f4f4,
  )
), 400, 100, 800, 50);

$warn-palette: mat.define-palette((
  50: #ffebef,
  100: #fecdd4,
  200: #ee999d,
  300: #e47177,
  400: #ef5056,
  500: #f53d3d,
  600: #e6333c,
  700: #d42935,
  800: #c7222e,
  900: #b81322,

  contrast: (
    50: #f4f4f4,
    100: #f4f4f4,
    200: #f4f4f4,
    300: #f4f4f4,
    400: #f4f4f4,
    500: #f4f4f4,
    600: #f4f4f4,
    700: #f4f4f4,
    800: #f4f4f4,
    900: #f4f4f4,
  )
), 500, 300, 800, 50);

$theme: mat.define-light-theme($primary-palette, $accent-palette, $warn-palette);

@include mat.all-component-themes($theme);

@mixin mat-select-theme() {
  .mat-select-value,
  .mat-select-arrow,
  .mat-expansion-panel-header-title,
  .mat-expansion-panel-header-description,
  .mat-cell,
  .mat-header-cell,
  .mat-form-field-label {
    color: var(--colors-text);
  }

  .mat-form-field-appearance-fill .mat-form-field-flex {
    background-color: var(--colors-second-background);
  }
}

@include mat-select-theme();
